package client.renderer.model;

import common.entity.Entity;

public class ModelHead extends ModelBase
{
    public ModelRenderer mainHead;

    public ModelHead()
    {
        this(0, 35, 64, 64);
    }

    public ModelHead(int p_i1155_1_, int p_i1155_2_, int p_i1155_3_, int p_i1155_4_)
    {
        this.textureWidth = p_i1155_3_;
        this.textureHeight = p_i1155_4_;
        this.mainHead = new ModelRenderer(this, p_i1155_1_, p_i1155_2_);
        this.mainHead.addBox(-4.0F, -8.0F, -4.0F, 8, 8, 8, 0.0F);
        this.mainHead.setRotationPoint(0.0F, 0.0F, 0.0F);
    }

    /**
     * Sets the models various rotation angles then renders the model.
     */
    public void render(Entity entityIn, float p_78088_2_, float p_78088_3_, float p_78088_4_, float p_78088_5_, float p_78088_6_, float scale)
    {
        this.setRotationAngles(p_78088_2_, p_78088_3_, p_78088_4_, p_78088_5_, p_78088_6_, scale, entityIn);
        this.mainHead.render(scale);
    }

    /**
     * Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms
     * and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how
     * "far" arms and legs can swing at most.
     */
    public void setRotationAngles(float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch, float scaleFactor, Entity entityIn)
    {
        super.setRotationAngles(limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch, scaleFactor, entityIn);
        this.mainHead.rotateAngleY = netHeadYaw / (180F / (float)Math.PI);
        this.mainHead.rotateAngleX = headPitch / (180F / (float)Math.PI);
    }
}
